Admin/Windows/Cygwin/setup_server
author paulson <lp15@cam.ac.uk>
Sun, 21 Apr 2024 16:31:30 +0100
changeset 80140 6d56e85f674e
parent 78304 e4b57eea7f86
permissions -rwxr-xr-x
More proof tidying for Nominal

#!/usr/bin/env bash

CYGWIN_MAIN="https://cygwin.com"
CYGWIN_MIRROR="https://ftp.eq.uc.pt/software/pc/prog/cygwin"

function fail()
{
  echo "$1" >&2
  exit 2
}

function download()
{
  local URL="$1"
  local DIR="${2:-.}"
  mkdir -p "$DIR" || fail "Cannot create directory: \"$DIR\""
  echo "Downloading $URL ..."
  curl --fail --silent --location "$URL" > "$DIR"/"$(basename "$URL")" || fail "FAILED"
}

download "$CYGWIN_MAIN/setup-x86_64.exe"
download "$CYGWIN_MIRROR/x86_64/setup.xz" "x86_64"
download "$CYGWIN_MIRROR/x86_64/setup.xz.sig" "x86_64"
download "$CYGWIN_MIRROR/x86_64/setup.zst" "x86_64"
download "$CYGWIN_MIRROR/x86_64/setup.zst.sig" "x86_64"